Debian Bug report logs - #344572
ITA: tinycdb -- a package for creating and reading constant databases

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Christian Kurz <shorty@debian.org>

Date: Fri, 23 Dec 2005 21:03:10 UTC

Owned by: Michael Tokarev <mjt@tls.msk.ru>

Severity: normal

Merged with 299026

Fixed in version tinycdb/0.76

Done: Michael Tokarev <mjt@corpit.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#344572; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Christian Kurz <shorty@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Kurz <shorty@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: tinycdb -- a package for creating and reading constant databases
Date: Fri, 23 Dec 2005 21:48:22 +0100
Package: wnpp
Severity: normal

I intend to orphan the tinycdb package.

The package description is:
 tinycdb is a small, fast and reliable utility set and subroutine
 library for creating and reading constant databases. The database
 structure is tuned for fast reading:
 .
  - Successful lookups take normally just two disk accesses.
  - Unsuccessful lookups take only one disk access.
  - Small disk space and memory size requirements; a database
    uses 2048 bytes for the header and 24 bytes per record, plus
    the space for keys and data.
  - Maximum database size is 4GB; individual record size is not
    otherwise limited.
  - Portable file format.
  - Fast creation of new databases.
  - No locking, updates are atomical.
 .
 tinycdb implements almost all API as found in cdb-0.75 written by
 D.J. Bernstein, so it should be source-compatible. It also implements
 the query interface as found in earlier versions of cdb (0.6x) and
 freecdb. It also contains some enhancements, like allowing to check
 existance of a record in a yet-to-be-created cdb database file.
 .
 This package contains both the utility to manipulate constant
 databases and the development files.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.14.2
Locale: LANG=POSIX, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)



Merged 299026 344572. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Matej Vela <vela@debian.org>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Matej Vela <vela@debian.org>:
Bug#344572; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Michael Tokarev <mjt@tls.msk.ru>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Matej Vela <vela@debian.org>. Full text and rfc822 format available.

Message #16 received at 344572@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 299026@bugs.debian.org
Cc: 344572@bugs.debian.org
Subject: Package maintainer
Date: Sun, 03 Sep 2006 17:16:04 +0400
Bernhard R. Link agreed to sponsor tinycdb package, which I
prepared at http://www.corpit.ru/mjt/tinycdb/tinycdb_0.76pre2.tar.gz,
if no one steps in till the next Friday.

The tarball includes nss_cdb module still, but I plan to comment
it out for the final 0.76, just to reduce possible problems with
uploading/testing - at least for now, as it's already too much
changes.

Thank you Bernhard for your time, you already spent quite some
of it reviewing my packaging and making useful suggestions.

/mjt



Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner changed from Matej Vela <vela@debian.org> to Michael Tokarev <mjt@tls.msk.ru>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@corpit.ru>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Kurz <shorty@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 344572-close@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@corpit.ru>
To: 344572-close@bugs.debian.org
Subject: Bug#344572: fixed in tinycdb 0.76
Date: Sat, 16 Sep 2006 09:19:37 -0700
Source: tinycdb
Source-Version: 0.76

We believe that the bug you reported is fixed in the latest version of
tinycdb, which is due to be installed in the Debian FTP archive:

libcdb-dev_0.76_sparc.deb
  to pool/main/t/tinycdb/libcdb-dev_0.76_sparc.deb
libcdb1_0.76_sparc.deb
  to pool/main/t/tinycdb/libcdb1_0.76_sparc.deb
tinycdb_0.76.dsc
  to pool/main/t/tinycdb/tinycdb_0.76.dsc
tinycdb_0.76.tar.gz
  to pool/main/t/tinycdb/tinycdb_0.76.tar.gz
tinycdb_0.76_sparc.deb
  to pool/main/t/tinycdb/tinycdb_0.76_sparc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 344572@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Tokarev <mjt@corpit.ru> (supplier of updated tinycdb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat,  9 Sep 2006 13:55:10 +0400
Source: tinycdb
Binary: tinycdb libcdb1 libcdb-dev
Architecture: source sparc
Version: 0.76
Distribution: unstable
Urgency: low
Maintainer: Michael Tokarev <mjt@corpit.ru>
Changed-By: Michael Tokarev <mjt@corpit.ru>
Description: 
 libcdb-dev - development files for constant databases (cdb)
 libcdb1    - shared library for constant databases (cdb)
 tinycdb    - an utility to manipulate constant databases (cdb)
Closes: 299026 316253 342849 344572 360129 383417 383417
Changes: 
 tinycdb (0.76) unstable; urgency=low
 .
   * 0.76 release.
     Closes: #342849, #316253, #360129, #383417.
     Also closes: #299026, #344572.
 .
   * manpage spelling fixes, from Claus Assmann <ca+tinycdb (at) esmtp.org>.
 .
   * little mods to allow compiling tinycdb by C++ compiler,
     from Olly Betts <olly (at) survex.com>.
 .
   * use program_invocation_short_name on GLIBC, (modified) patch
     from Dmitry V. Levin  <ldv (at) altlinux.org>
 .
   * manpage fix (cdb_findnext() prototype),
     from Dmitry V. Levin <ldv (at) altlinux.org>
 .
   * (somewhat silly) GCC-4.x "signedness" warnings fix, modified patch
     from Dmitry V. Levin  <ldv (at) altlinux.org>
 .
   * more signed vs unsigned char* fixes in various places
 .
   * Makefile: always build libnss_cdb.so with libcdb_pic.a, no nss-shared
     target: to avoid extra dependency from /usr/lib/.
 .
   * Makefile: use map files for lib*.so, with explicit list of exported
     symbols.  This, in particular, avoids exporting of libcdb symbols by
     libnss_cdb.so.
 .
   * mark all internal routines as internal_function (defined as
     __attribute__((visibility("hidden"))) for GCC)
 .
   * Makefile: add tests-shared, to use cdb-shared for testing
 .
   * Makefile: allow to specify which binary (shared vs static) to install
     in install target, by using INSTALLPROG variable
 .
   * Makefile: pass -DNSSCDB_DIR=... to compiler when building .lo files,
     to allow setting of system config dir (/etc by default) on command line.
     For nss_cdb module.
 .
   * Makefile: use $(CP) instead of cp, to be able to specify `cp' options
     (CP="cp -p")
 .
   * Makefile: ship debian/ files in `dist' target as well, if not only
     for debian/changelog.
 .
   * Makefile: bumped version to 0.76
 .
   * Use unlink(tmpname) + open(O_CREAT|O_EXCL) instead of
     open(O_CREAT|O_TRUNC) when creating the new CDB file.
     And use O_NOFOLLOW if defined.
     This also works around some (probably) possible symlink attacks.
 .
   * Add -p perms option for cdb utility, to specify mode (permission bits)
     for newly created .cdb file (default is 0666&umask(), -p forces the given
     mode).
 .
   * allow tmpname (cdb -t) to be `-', to mean no temp file gets created.
     Also check if tmpname is the same as database name and don't try to
     rename() if it is.
 .
   * rewrite nss_cdb-Makefile a bit: simplify it, and use more sane
     permission scheme for /etc/shadow
 .
   * bumped Debian Standards-Version to 3.7.2 (no changes necessary).
 .
   * fixed a typo in cdb_seek.c, -- it segfaulted if passed NULL dlenp
     pointer.  Thanks Daiki for the patch.  Closes: #383417
 .
   * use MAP_FAILED to test mmap() return value, instead of hardcoded -1.
 .
   * several minor fixes for debian/* files, thanks to Bernhard R. Link.
 .
   * removed libnss_cdb Debian package, for now
 .
   * libcdb-dev replaces tinycdb<0.76
 .
 tinycdb (0.75) unstable; urgency=low
 .
   * 0.75 release
 .
   * debian packaging is now back to me.  Thank you Christian for doing
     packaging work for me, it is greatly apprecated.
 .
   * build 4 packages out of the source base:
     - shared library libcdb1
     - development files libcdb-dev
     - utility tinycdb
     - nss module nss-cdb
     Closes: Debian #360129, #316253.
 .
   * rewrote cdb_make_put(CDB_PUT_REPLACE) to a) actually replace *all*
     duplicates, not just the first one, and b) perform real replace,
     by moving tail of .cdb file.  Also, always add new record to the
     end of the file, not to the place where a duplicate was found.
 .
   * add cdb_make_put(CDB_PUT_REPLACE0) to zerofill all duplicates,
     which is faster than CDB_PUT_REPLACE but less accurate as it
     leaves gaps in the file.
 .
   * ship libcdb_pic.a in the -dev package.
Files: 
 67de9f12b12ed0e241515bbec1d9eb2b 503 utils optional tinycdb_0.76.dsc
 77db6fa098b674819ba1e06689bc87e8 35777 utils optional tinycdb_0.76.tar.gz
 6c499b6fefdc531a08e9ac498f770d2c 17354 utils optional tinycdb_0.76_sparc.deb
 274fa50661fea52f643607e0ce90de0a 11362 libs optional libcdb1_0.76_sparc.deb
 c7d840ae358a00ebf30a7637cb1ccb60 21200 libdevel optional libcdb-dev_0.76_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFFBWHuTrAWvKplQe4RAoWbAJ9rroCw7yo98hWWAloP3GFctCycngCfZ1bs
1maIGeAEb1HBggUPnf7igzA=
=pbWe
-----END PGP SIGNATURE-----




Reply sent to Michael Tokarev <mjt@corpit.ru>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Kurz <shorty@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:22:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 00:25:19 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.